about summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <e@80x24.org>2017-03-23 02:18:13 +0000
committerEric Wong <e@80x24.org>2017-03-23 02:18:13 +0000
commitc403fad05c3433a9e3ea08b3cc7769e7789bd665 (patch)
tree7f10b6ba4a93de1a649b7f758710f8525812ed57
parent0eda323fd63407b4a199005a68f4dd167db0e7f8 (diff)
This should make it easier for distros to pick this
without picking up olddoc, too.

We will still use olddoc for generating the website since it
reduces bandwidth costs, and for generating NEWS for our own
builds.
-rw-r--r--raindrops.gemspec22
1 files changed, 9 insertions, 13 deletions
diff --git a/raindrops.gemspec b/raindrops.gemspec
index 7be8050..0a4e414 100644
--- a/raindrops.gemspec
+++ b/raindrops.gemspec
@@ -1,30 +1,26 @@
 # -*- encoding: binary -*-
-ENV["VERSION"] or abort "VERSION= must be specified"
-manifest = File.readlines('.manifest').map! { |x| x.chomp! }
+manifest = File.exist?('.manifest') ?
+  IO.readlines('.manifest').map!(&:chomp!) : `git ls-files`.split("\n")
 test_files = manifest.grep(%r{\Atest/test_.*\.rb\z})
-require 'olddoc'
-extend Olddoc::Gemspec
-name, summary, title = readme_metadata
 
 Gem::Specification.new do |s|
   s.name = %q{raindrops}
-  s.version = ENV["VERSION"].dup
-
+  s.version = (ENV["VERSION"] ||= '0.17.0').dup
   s.authors = ["raindrops hackers"]
-  s.description = readme_description
+  s.description = File.read('README').split("\n\n")[1]
   s.email = %q{raindrops-public@bogomips.org}
   s.extensions = %w(ext/raindrops/extconf.rb)
-  s.extra_rdoc_files = extra_rdoc_files(manifest)
+  s.extra_rdoc_files = IO.readlines('.document').map!(&:chomp!).keep_if do |f|
+    File.exist?(f)
+  end
   s.files = manifest
-  s.homepage = Olddoc.config['rdoc_url']
-  s.summary = summary
+  s.homepage = 'https://bogomips.org/raindrops/'
+  s.summary = 'real-time stats for preforking Rack servers'
   s.required_ruby_version = '>= 1.9.3'
   s.test_files = test_files
   s.add_development_dependency('aggregate', '~> 0.2')
   s.add_development_dependency('test-unit', '~> 3.0')
   s.add_development_dependency('posix_mq', '~> 2.0')
   s.add_development_dependency('rack', [ '>= 1.2', '< 3.0' ])
-  s.add_development_dependency('olddoc', '~> 1.0')
-
   s.licenses = %w(LGPL-2.1+)
 end